<?php
/**
 # jmootips Joomla! Plugin
 # @author Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 # @copyright Copyright (C) 2013 Joachim Schmidt. All rights reserved.
 # @license	 http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 #
 # change activity:
 # 1.06.2013: Release V1.0.0 for Joomla 2.5 and 3.0
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\Version;

class plgeditorsxtdtipbuttonInstallerScript
{

    public function preflight($type, $parent)
    {
        $joomla_version = new Version();
        if (version_compare($joomla_version->getShortVersion(), '4.0', '<'))
        {
            $error = "Cannot instatll/run tipbutton on Joomla Version " . $joomla_version->getShortVersion();
            $app = Factory::getApplication();
            $app->enqueueMessage($error, 'error');
            return false;
        }
        return true;
    }
    function postflight ($parent, $type)
    {
        // Enabled plugin
        $joomla_version = new Version();
        if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
           $db = Factory::getContainer()->get('DatabaseDriver');
        else
           $db = Factory::getApplication()->getDBO();
        $sql = " UPDATE `#__extensions` SET `enabled`=1 WHERE `type`='plugin' AND `element`='tipbutton' and `folder`='editors-xtd';";
        $db->setQuery($sql);
        $db->execute();
    }
}

?>